> ## Documentation Index
> Fetch the complete documentation index at: https://docs-api.kravata.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Ramps

> This endpoint retrieves the order history for the given client ID.

## Request

| Field | **Type** | Required | Description |
| --- | --- | --- | --- |
| Authorization | Header | Yes | The access token is used to authenticate requests to other endpoints. It is valid for 5 minutes. |
| clientID | URL | Yes | Include your assigned **ID** in the URL, obtainable through the **Get infoClient** endpoint. |

Use the following optional query parameters to customize the results:

- **DateMin**: Specifies the starting date for filtering results. Format: YYYY-MM-DD.
    
- **DateMax**: Defines the ending date for filtering results. Format: YYYY-MM-DD.
    
- **Status**: Filters results by order status, such as 'pending', 'cancelled', or 'payapproved'.
    
- **Page:** Specifies the page number (required if the “**PerPage**” parameter is used)
    
- **PerPage:** Specifies the number of records per page (required if the “**Page**” parameter is used)
    

## Response

Upon a successful request, the server will respond with the following details:

| **Field** | **Description** |
| --- | --- |
| Id | The unique identifier of the ramp. |
| amountSent | This is the amount you sent to us. |
| amountReceive | This is the resulting amount of your operation. |
| bankAccountId | This is the unique identifier of the bank account you want to use for your order. |
| walletId | This is the unique identifier of the wallet you want to use for your order. |
| numberRamp | This is your ramp tracking number. |
| rampType | The type of order/ ramp you will create ("on_ramp": if you have Fiat and want to receive Stable Coin; "off_ramp": if you have Stable Coin and want to receive Fiat). |
| registerDate | This is the date when you created your ramp with us. |
| status | The status of the ramp. It can be: "pending": Awaiting proof of funds transfer., "payapproved": Funds received and approved, "payrejected": The funds transfer does not meet our requirements,  <br />"completed": Transaction successfully completed.  <br />"received": Hash ID or Payment Voucher has been sent through the endpoint.  <br />"cancelled": Ramp expired without completion.  <br />"paymentinprocess": The payment is in process.  <br />"paidawaitingfunds": The payment has been approved, but the funds have not arrived |
| symbolTypeSent | The symbol of the token/fiat sent in the order |
| symbolTypeReceived | The symbol of the token/fiat resulting in the order |



## OpenAPI

````yaml /business/openapi.json get /api/ramps/{clientId}
openapi: 3.1.0
info:
  title: Kravata Business API
  version: '1.0'
  description: >-
    Kravata Business API: on-ramp and off-ramp orders between fiat and
    stablecoins for your own accounts and wallets.
servers:
  - url: https://testapi.kravata.co
    description: Test
  - url: https://apiv2.kravata.co
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Authentication
  - name: Accounts
  - name: Wallets
  - name: Ramp Orders
  - name: Webhooks
paths:
  /api/ramps/{clientId}:
    get:
      tags:
        - Ramp Orders
      summary: Get Ramps
      description: >-
        This endpoint retrieves the order history for the given client ID.


        ## Request


        | Field | **Type** | Required | Description |

        | --- | --- | --- | --- |

        | Authorization | Header | Yes | The access token is used to
        authenticate requests to other endpoints. It is valid for 5 minutes. |

        | clientID | URL | Yes | Include your assigned **ID** in the URL,
        obtainable through the **Get infoClient** endpoint. |


        Use the following optional query parameters to customize the results:


        - **DateMin**: Specifies the starting date for filtering results.
        Format: YYYY-MM-DD.
            
        - **DateMax**: Defines the ending date for filtering results. Format:
        YYYY-MM-DD.
            
        - **Status**: Filters results by order status, such as 'pending',
        'cancelled', or 'payapproved'.
            
        - **Page:** Specifies the page number (required if the “**PerPage**”
        parameter is used)
            
        - **PerPage:** Specifies the number of records per page (required if the
        “**Page**” parameter is used)
            

        ## Response


        Upon a successful request, the server will respond with the following
        details:


        | **Field** | **Description** |

        | --- | --- |

        | Id | The unique identifier of the ramp. |

        | amountSent | This is the amount you sent to us. |

        | amountReceive | This is the resulting amount of your operation. |

        | bankAccountId | This is the unique identifier of the bank account you
        want to use for your order. |

        | walletId | This is the unique identifier of the wallet you want to use
        for your order. |

        | numberRamp | This is your ramp tracking number. |

        | rampType | The type of order/ ramp you will create ("on_ramp": if you
        have Fiat and want to receive Stable Coin; "off_ramp": if you have
        Stable Coin and want to receive Fiat). |

        | registerDate | This is the date when you created your ramp with us. |

        | status | The status of the ramp. It can be: "pending": Awaiting proof
        of funds transfer., "payapproved": Funds received and approved,
        "payrejected": The funds transfer does not meet our requirements,  <br
        />"completed": Transaction successfully completed.  <br />"received":
        Hash ID or Payment Voucher has been sent through the endpoint.  <br
        />"cancelled": Ramp expired without completion.  <br
        />"paymentinprocess": The payment is in process.  <br
        />"paidawaitingfunds": The payment has been approved, but the funds have
        not arrived |

        | symbolTypeSent | The symbol of the token/fiat sent in the order |

        | symbolTypeReceived | The symbol of the token/fiat resulting in the
        order |
      operationId: get-ramps
      parameters:
        - name: clientId
          in: path
          required: true
          description: ''
          schema:
            type: string
            format: uuid
        - name: DateMin
          in: query
          required: false
          description: Start date, format YYYY-MM-DDTHH:MM:SSZ.
          schema:
            type: string
        - name: DateMax
          in: query
          required: false
          description: End date, format YYYY-MM-DDTHH:MM:SSZ.
          schema:
            type: string
        - name: Status
          in: query
          required: false
          description: Filter by ramp status (e.g. pending, completed).
          schema:
            type: string
        - name: Page
          in: query
          required: false
          description: Page number (send with PerPage).
          schema:
            type: string
          example: '1'
        - name: PerPage
          in: query
          required: false
          description: Records per page (send with Page).
          schema:
            type: string
          example: '10'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                    amountSent:
                      type: integer
                    amountReceived:
                      type: number
                    bankAccountId:
                      type: string
                    userId:
                      type: string
                    userWalletId:
                      type: string
                    numberRamp:
                      type: string
                    operationCategory:
                      type: string
                    originUserId:
                      type: string
                    destinationUsertId:
                      type: string
                    rampType:
                      type: string
                    registerDate:
                      type: string
                    status:
                      type: string
                    symbolTypeReceived:
                      type: string
                    symbolTypeSent:
                      type: string
              examples:
                api-ramps:
                  summary: api/ramps
                  value:
                    - id: 6439c65a-8014-4e18-8f05-0a8a7f82ef80
                      amountSent: 500000
                      amountReceived: 114.88
                      bankAccountId: e3569aa4-b0f5-4e24-85df-f7708b855db8
                      userId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      userWalletId: d5a3b243-db5b-46c7-b4ce-8e2b88a72122
                      numberRamp: '0005023'
                      operationCategory: ramp
                      originUserId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      destinationUsertId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      rampType: on_ramp
                      registerDate: '2024-10-27 01:53:38.028051'
                      status: received
                      symbolTypeReceived: USDC
                      symbolTypeSent: COP
                    - id: 3e510516-3815-42b3-9ad9-9e36281e2c16
                      amountSent: 45000
                      amountReceived: 10.38
                      bankAccountId: e3569aa4-b0f5-4e24-85df-f7708b855db8
                      userId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      userWalletId: d5a3b243-db5b-46c7-b4ce-8e2b88a72122
                      numberRamp: '0005022'
                      operationCategory: ramp
                      originUserId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      destinationUsertId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      rampType: on_ramp
                      registerDate: '2024-10-26 21:49:17.026899'
                      status: pending
                      symbolTypeReceived: USDC
                      symbolTypeSent: COP
                    - id: 56de6808-9f9b-4fd9-878a-30784be4fe48
                      amountSent: 500000
                      amountReceived: 115.34
                      bankAccountId: e3569aa4-b0f5-4e24-85df-f7708b855db8
                      userId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      userWalletId: d5a3b243-db5b-46c7-b4ce-8e2b88a72122
                      numberRamp: '0005021'
                      operationCategory: ramp
                      originUserId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      destinationUsertId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      rampType: on_ramp
                      registerDate: '2024-10-26 21:48:40.716707'
                      status: pending
                      symbolTypeReceived: USDC
                      symbolTypeSent: COP
                    - id: fd049db0-c240-4146-a433-93f9a326fb18
                      amountSent: 500000
                      amountReceived: null
                      bankAccountId: e3569aa4-b0f5-4e24-85df-f7708b855db8
                      userId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      userWalletId: d5a3b243-db5b-46c7-b4ce-8e2b88a72122
                      numberRamp: '0005020'
                      operationCategory: ramp
                      originUserId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      destinationUsertId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      rampType: on_ramp
                      registerDate: '2024-10-26 21:36:52.034043'
                      status: pending
                      symbolTypeReceived: USDC
                      symbolTypeSent: COP
                    - id: b3c729ee-b527-4b35-9b42-a766bb8afa95
                      amountSent: 500000
                      amountReceived: 115.34
                      bankAccountId: e3569aa4-b0f5-4e24-85df-f7708b855db8
                      userId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      userWalletId: d5a3b243-db5b-46c7-b4ce-8e2b88a72122
                      numberRamp: '0005019'
                      operationCategory: ramp
                      originUserId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      destinationUsertId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      rampType: on_ramp
                      registerDate: '2024-10-26 21:33:19.929165'
                      status: pending
                      symbolTypeReceived: USDC
                      symbolTypeSent: COP
                    - id: 5171ff83-dcf0-44a9-9f3f-14d1587f8ffa
                      amountSent: 500000
                      amountReceived: null
                      bankAccountId: e3569aa4-b0f5-4e24-85df-f7708b855db8
                      userId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      userWalletId: d5a3b243-db5b-46c7-b4ce-8e2b88a72122
                      numberRamp: ''
                      operationCategory: ramp
                      originUserId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      destinationUsertId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      rampType: on_ramp
                      registerDate: '2024-10-26 21:31:56.576228'
                      status: pending
                      symbolTypeReceived: USDC
                      symbolTypeSent: COP
                    - id: 2cf64ad4-fb87-4f30-9708-0859079b9329
                      amountSent: 500000
                      amountReceived: null
                      bankAccountId: e3569aa4-b0f5-4e24-85df-f7708b855db8
                      userId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      userWalletId: d5a3b243-db5b-46c7-b4ce-8e2b88a72122
                      numberRamp: '0005018'
                      operationCategory: ramp
                      originUserId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      destinationUsertId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      rampType: on_ramp
                      registerDate: '2024-10-26 21:28:55.025501'
                      status: pending
                      symbolTypeReceived: USDC
                      symbolTypeSent: COP
                    - id: ac4ffaba-8221-46a1-8ada-cecdb319df18
                      amountSent: 500000
                      amountReceived: null
                      bankAccountId: e3569aa4-b0f5-4e24-85df-f7708b855db8
                      userId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      userWalletId: d5a3b243-db5b-46c7-b4ce-8e2b88a72122
                      numberRamp: '0005017'
                      operationCategory: ramp
                      originUserId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      destinationUsertId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      rampType: on_ramp
                      registerDate: '2024-10-26 21:26:29.759974'
                      status: pending
                      symbolTypeReceived: USDC
                      symbolTypeSent: COP
                    - id: 46d5502f-c614-42e9-aec7-ba80b1f2b3bd
                      amountSent: 500000
                      amountReceived: null
                      bankAccountId: e3569aa4-b0f5-4e24-85df-f7708b855db8
                      userId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      userWalletId: d5a3b243-db5b-46c7-b4ce-8e2b88a72122
                      numberRamp: '0005016'
                      operationCategory: ramp
                      originUserId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      destinationUsertId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      rampType: on_ramp
                      registerDate: '2024-10-26 21:23:31.978446'
                      status: pending
                      symbolTypeReceived: USDC
                      symbolTypeSent: COP
                    - id: 3fa82603-4cc9-4751-a528-deff04f8be52
                      amountSent: 500000
                      amountReceived: null
                      bankAccountId: e3569aa4-b0f5-4e24-85df-f7708b855db8
                      userId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      userWalletId: d5a3b243-db5b-46c7-b4ce-8e2b88a72122
                      numberRamp: '0005015'
                      operationCategory: ramp
                      originUserId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      destinationUsertId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      rampType: on_ramp
                      registerDate: '2024-10-26 21:22:21.815628'
                      status: pending
                      symbolTypeReceived: USDC
                      symbolTypeSent: COP
                    - id: 21623c5c-86a0-4566-ad37-e8f79a214267
                      amountSent: 500000
                      amountReceived: null
                      bankAccountId: e3569aa4-b0f5-4e24-85df-f7708b855db8
                      userId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      userWalletId: d5a3b243-db5b-46c7-b4ce-8e2b88a72122
                      numberRamp: '0005014'
                      operationCategory: ramp
                      originUserId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      destinationUsertId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      rampType: on_ramp
                      registerDate: '2024-10-26 19:23:13.025025'
                      status: pending
                      symbolTypeReceived: USDC
                      symbolTypeSent: COP
                    - id: 8482e34a-f203-4ad3-811b-302de3ccae49
                      amountSent: 500000
                      amountReceived: null
                      bankAccountId: e3569aa4-b0f5-4e24-85df-f7708b855db8
                      userId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      userWalletId: d5a3b243-db5b-46c7-b4ce-8e2b88a72122
                      numberRamp: '0005013'
                      operationCategory: ramp
                      originUserId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      destinationUsertId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      rampType: on_ramp
                      registerDate: '2024-10-26 19:14:13.590303'
                      status: pending
                      symbolTypeReceived: USDC
                      symbolTypeSent: COP
                api-ramps-rampid:
                  summary: api/ramps/rampId
                  value:
                    amountReceived: 432804.83
                    amountSent: 100
                    bankAccountId: 04637bb8-be4c-4fc7-8312-7b0541736d86
                    destinationUserId: 20ec3cb9-497c-480f-9478-4d64c7b43064
                    id: 0569faae-22ca-4af4-bb0d-e8b138be5cd5
                    numberRamp: '0005119'
                    operationCategory: ramp
                    originUserId: 20ec3cb9-497c-480f-9478-4d64c7b43064
                    rampMonetary:
                      - amount: 100
                        currency: USDC
                        enviroment: simulation
                        id: 6cc819a8-0413-42ad-aaa4-7a9c6a63ea73
                        isVisibleClient: false
                        operation: taxIva
                        operationConcept: default concept
                        operationDescription: default description
                        rampRequestId: 0569faae-22ca-4af4-bb0d-e8b138be5cd5
                        result: 0
                      - amount: 100
                        currency: USDC
                        enviroment: simulation
                        id: 0c078378-42bf-48da-baa5-8be9cbe25668
                        isVisibleClient: true
                        operation: amountSent
                        operationConcept: default concept
                        operationDescription: default description
                        rampRequestId: 0569faae-22ca-4af4-bb0d-e8b138be5cd5
                        result: 100
                      - amount: 100
                        currency: USDC
                        enviroment: simulation
                        id: e6e770db-33d5-4758-b412-c26d6fc390f2
                        isVisibleClient: false
                        operation: rateCopUsd
                        operationConcept: default concept
                        operationDescription: default description
                        rampRequestId: 0569faae-22ca-4af4-bb0d-e8b138be5cd5
                        result: 4365.2782
                      - amount: 100
                        currency: USDC
                        enviroment: simulation
                        id: 9c820e40-d1a4-46ab-8c99-3a259f9e1b4d
                        isVisibleClient: false
                        operation: rateToken
                        operationConcept: default concept
                        operationDescription: default description
                        rampRequestId: 0569faae-22ca-4af4-bb0d-e8b138be5cd5
                        result: 4411.6
                      - amount: 100
                        currency: USDC
                        enviroment: simulation
                        id: 9b4f43bf-56d8-4fa2-866c-4e36b4e9c339
                        isVisibleClient: false
                        operation: amountCOPToSend
                        operationConcept: default concept
                        operationDescription: default description
                        rampRequestId: 0569faae-22ca-4af4-bb0d-e8b138be5cd5
                        result: 436527.82
                      - amount: 100
                        currency: USDC
                        enviroment: simulation
                        id: 8733c218-cc63-4409-ae9d-88a50858e2e7
                        isVisibleClient: false
                        operation: fixCommissionUSD
                        operationConcept: default concept
                        operationDescription: default description
                        rampRequestId: 0569faae-22ca-4af4-bb0d-e8b138be5cd5
                        result: 99
                      - amount: 100
                        currency: USDC
                        enviroment: simulation
                        id: f2d383ae-fdf1-40db-b1de-c04d33d41e29
                        isVisibleClient: false
                        operation: varCommission
                        operationConcept: default concept
                        operationDescription: default description
                        rampRequestId: 0569faae-22ca-4af4-bb0d-e8b138be5cd5
                        result: 0
                      - amount: 100
                        currency: USDC
                        enviroment: simulation
                        id: 3cb53d8b-1164-488c-9d35-6110529a6e70
                        isVisibleClient: false
                        operation: rateCopIcap
                        operationConcept: default concept
                        operationDescription: default description
                        rampRequestId: 0569faae-22ca-4af4-bb0d-e8b138be5cd5
                        result: 4358.6608
                      - amount: 100
                        currency: USDC
                        enviroment: simulation
                        id: bc74be5c-20a7-4b70-897a-77608434fc92
                        isVisibleClient: false
                        operation: gmfOffRampP
                        operationConcept: default concept
                        operationDescription: default description
                        rampRequestId: 0569faae-22ca-4af4-bb0d-e8b138be5cd5
                        result: 0
                      - amount: 100
                        currency: USDC
                        enviroment: simulation
                        id: 74d709fc-9678-441c-8125-c3f290b9e660
                        isVisibleClient: false
                        operation: rateTokenCovered
                        operationConcept: default concept
                        operationDescription: default description
                        rampRequestId: 0569faae-22ca-4af4-bb0d-e8b138be5cd5
                        result: 1
                      - amount: 100
                        currency: USDC
                        enviroment: simulation
                        id: a99db234-0b9e-44b0-bbe5-8917ac328027
                        isVisibleClient: false
                        operation: ivaOffRampP
                        operationConcept: default concept
                        operationDescription: default description
                        rampRequestId: 0569faae-22ca-4af4-bb0d-e8b138be5cd5
                        result: 0
                      - amount: 100
                        currency: USDC
                        enviroment: simulation
                        id: dfe6d540-0d8f-410d-ad76-544cde21539b
                        isVisibleClient: false
                        operation: rateCopToken
                        operationConcept: default concept
                        operationDescription: default description
                        rampRequestId: 0569faae-22ca-4af4-bb0d-e8b138be5cd5
                        result: 4365.28
                      - amount: 100
                        currency: USDC
                        enviroment: simulation
                        id: 28a41e5b-0808-4bfc-a405-d245c579d97e
                        isVisibleClient: false
                        operation: fixCommissionCOP
                        operationConcept: default concept
                        operationDescription: default description
                        rampRequestId: 0569faae-22ca-4af4-bb0d-e8b138be5cd5
                        result: 1738.172
                      - amount: 100
                        currency: USDC
                        enviroment: simulation
                        id: 35d25392-aa55-45db-9eb6-e31c6b691a9d
                        isVisibleClient: false
                        operation: varCommissionCOP
                        operationConcept: default concept
                        operationDescription: default description
                        rampRequestId: 0569faae-22ca-4af4-bb0d-e8b138be5cd5
                        result: 0
                      - amount: 100
                        currency: USDC
                        enviroment: simulation
                        id: 26a58835-b104-424b-9552-716edd8a3db5
                        isVisibleClient: false
                        operation: taxRetefuente
                        operationConcept: default concept
                        operationDescription: default description
                        rampRequestId: 0569faae-22ca-4af4-bb0d-e8b138be5cd5
                        result: 0
                      - amount: 100
                        currency: USDC
                        enviroment: simulation
                        id: 6e614cb3-c069-4a85-8041-533349226235
                        isVisibleClient: false
                        operation: taxReteIca
                        operationConcept: default concept
                        operationDescription: default description
                        rampRequestId: 0569faae-22ca-4af4-bb0d-e8b138be5cd5
                        result: 0
                      - amount: 100
                        currency: USDC
                        enviroment: simulation
                        id: 49bdb9c5-7ae9-442f-b35b-727d09e0ef29
                        isVisibleClient: true
                        operation: feeGMF
                        operationConcept: default concept
                        operationDescription: default description
                        rampRequestId: 0569faae-22ca-4af4-bb0d-e8b138be5cd5
                        result: 0
                      - amount: 100
                        currency: USDC
                        enviroment: simulation
                        id: 88bd0902-605d-437a-9d15-c8054726bc2c
                        isVisibleClient: true
                        operation: amountToReceive
                        operationConcept: default concept
                        operationDescription: default description
                        rampRequestId: 0569faae-22ca-4af4-bb0d-e8b138be5cd5
                        result: 432804.83
                      - amount: 100
                        currency: USDC
                        enviroment: simulation
                        id: c729233d-64f4-4c1b-bc8d-adf6a3388f81
                        isVisibleClient: false
                        operation: amountToReceiveOld
                        operationConcept: default concept
                        operationDescription: default description
                        rampRequestId: 0569faae-22ca-4af4-bb0d-e8b138be5cd5
                        result: 434459.4
                      - amount: 100
                        currency: USDC
                        enviroment: simulation
                        id: db833836-1b8d-4a46-9bf6-d590a05732d1
                        isVisibleClient: true
                        operation: rateClient
                        operationConcept: default concept
                        operationDescription: default description
                        rampRequestId: 0569faae-22ca-4af4-bb0d-e8b138be5cd5
                        result: 4345.43
                      - amount: 100
                        currency: USDC
                        enviroment: simulation
                        id: e35492c6-a76b-4e2f-aef9-6e26746107ab
                        isVisibleClient: false
                        operation: rateRail
                        operationConcept: default concept
                        operationDescription: default description
                        rampRequestId: 0569faae-22ca-4af4-bb0d-e8b138be5cd5
                        result: 4411.6
                      - amount: 100
                        currency: USDC
                        enviroment: simulation
                        id: d408ca43-624a-4011-924c-0610018898e2
                        isVisibleClient: true
                        operation: costInfra
                        operationConcept: default concept
                        operationDescription: default description
                        rampRequestId: 0569faae-22ca-4af4-bb0d-e8b138be5cd5
                        result: 1738.172
                      - amount: 100
                        currency: USDC
                        enviroment: simulation
                        id: f1c63245-eb41-44f0-afc4-98a2f380fcd2
                        isVisibleClient: true
                        operation: withdrawalFee
                        operationConcept: default concept
                        operationDescription: default description
                        rampRequestId: 0569faae-22ca-4af4-bb0d-e8b138be5cd5
                        result: 0
                    rampType: off_ramp
                    registerDate: '2024-11-27 15:42:53.424709'
                    status: pending
                    symbolTypeReceived: COP
                    symbolTypeSent: USDC
                    userId: 20ec3cb9-497c-480f-9478-4d64c7b43064
                    walletId: 0ed2aa92-da56-4774-847f-6352c8e8e177
                api-ramps-status:
                  summary: api/ramps/status
                  value:
                    - amountReceived: 432804.83
                      amountSent: 100
                      bankAccountId: 04637bb8-be4c-4fc7-8312-7b0541736d86
                      destinationUserId: 20ec3cb9-497c-480f-9478-4d64c7b43064
                      id: 0569faae-22ca-4af4-bb0d-e8b138be5cd5
                      numberRamp: '0005119'
                      operationCategory: ramp
                      originUserId: 20ec3cb9-497c-480f-9478-4d64c7b43064
                      rampType: off_ramp
                      registerDate: '2024-11-27 15:42:53.424709'
                      status: pending
                      symbolTypeReceived: COP
                      symbolTypeSent: USDC
                      userId: 20ec3cb9-497c-480f-9478-4d64c7b43064
                      walletId: 0ed2aa92-da56-4774-847f-6352c8e8e177
                    - amountReceived: 432942.28
                      amountSent: 100
                      bankAccountId: 04637bb8-be4c-4fc7-8312-7b0541736d86
                      destinationUserId: 20ec3cb9-497c-480f-9478-4d64c7b43064
                      id: ed5fe235-e4b9-4817-8d4d-dc76c6cbcc17
                      numberRamp: '0005118'
                      operationCategory: ramp
                      originUserId: 20ec3cb9-497c-480f-9478-4d64c7b43064
                      rampType: off_ramp
                      registerDate: '2024-11-27 15:40:57.024977'
                      status: pending
                      symbolTypeReceived: COP
                      symbolTypeSent: USDC
                      userId: 20ec3cb9-497c-480f-9478-4d64c7b43064
                      walletId: 0ed2aa92-da56-4774-847f-6352c8e8e177
                    - amountReceived: 433118568
                      amountSent: 100000
                      bankAccountId: 04637bb8-be4c-4fc7-8312-7b0541736d86
                      destinationUserId: 20ec3cb9-497c-480f-9478-4d64c7b43064
                      id: 645ee810-41ae-499d-9d30-bd8384588ca2
                      numberRamp: '0005117'
                      operationCategory: ramp
                      originUserId: 20ec3cb9-497c-480f-9478-4d64c7b43064
                      rampType: off_ramp
                      registerDate: '2024-11-27 15:35:26.146467'
                      status: pending
                      symbolTypeReceived: COP
                      symbolTypeSent: USDC
                      userId: 20ec3cb9-497c-480f-9478-4d64c7b43064
                      walletId: 0ed2aa92-da56-4774-847f-6352c8e8e177
                api-ramps-date:
                  summary: api/ramps/date
                  value:
                    - amountReceived: 432804.83
                      amountSent: 100
                      bankAccountId: 04637bb8-be4c-4fc7-8312-7b0541736d86
                      destinationUserId: 20ec3cb9-497c-480f-9478-4d64c7b43064
                      id: 0569faae-22ca-4af4-bb0d-e8b138be5cd5
                      numberRamp: '0005119'
                      operationCategory: ramp
                      originUserId: 20ec3cb9-497c-480f-9478-4d64c7b43064
                      rampType: off_ramp
                      registerDate: '2024-11-27 15:42:53.424709'
                      status: pending
                      symbolTypeReceived: COP
                      symbolTypeSent: USDC
                      userId: 20ec3cb9-497c-480f-9478-4d64c7b43064
                      walletId: 0ed2aa92-da56-4774-847f-6352c8e8e177
                    - amountReceived: 432942.28
                      amountSent: 100
                      bankAccountId: 04637bb8-be4c-4fc7-8312-7b0541736d86
                      destinationUserId: 20ec3cb9-497c-480f-9478-4d64c7b43064
                      id: ed5fe235-e4b9-4817-8d4d-dc76c6cbcc17
                      numberRamp: '0005118'
                      operationCategory: ramp
                      originUserId: 20ec3cb9-497c-480f-9478-4d64c7b43064
                      rampType: off_ramp
                      registerDate: '2024-11-27 15:40:57.024977'
                      status: pending
                      symbolTypeReceived: COP
                      symbolTypeSent: USDC
                      userId: 20ec3cb9-497c-480f-9478-4d64c7b43064
                      walletId: 0ed2aa92-da56-4774-847f-6352c8e8e177
                    - amountReceived: 433118568
                      amountSent: 100000
                      bankAccountId: 04637bb8-be4c-4fc7-8312-7b0541736d86
                      destinationUserId: 20ec3cb9-497c-480f-9478-4d64c7b43064
                      id: 645ee810-41ae-499d-9d30-bd8384588ca2
                      numberRamp: '0005117'
                      operationCategory: ramp
                      originUserId: 20ec3cb9-497c-480f-9478-4d64c7b43064
                      rampType: off_ramp
                      registerDate: '2024-11-27 15:35:26.146467'
                      status: pending
                      symbolTypeReceived: COP
                      symbolTypeSent: USDC
                      userId: 20ec3cb9-497c-480f-9478-4d64c7b43064
                      walletId: 0ed2aa92-da56-4774-847f-6352c8e8e177
                    - amountReceived: 433233108
                      amountSent: 100000
                      bankAccountId: 04637bb8-be4c-4fc7-8312-7b0541736d86
                      destinationUserId: 20ec3cb9-497c-480f-9478-4d64c7b43064
                      id: 634b95d9-0fd8-42ca-971d-5426da4b10ae
                      numberRamp: '0005116'
                      operationCategory: ramp
                      originUserId: 20ec3cb9-497c-480f-9478-4d64c7b43064
                      rampType: off_ramp
                      registerDate: '2024-11-23 03:01:26.652678'
                      status: cancelled
                      symbolTypeReceived: COP
                      symbolTypeSent: USDC
                      userId: 20ec3cb9-497c-480f-9478-4d64c7b43064
                      walletId: 0ed2aa92-da56-4774-847f-6352c8e8e177
                    - amountReceived: 433039884
                      amountSent: 100000
                      bankAccountId: 04637bb8-be4c-4fc7-8312-7b0541736d86
                      destinationUserId: 20ec3cb9-497c-480f-9478-4d64c7b43064
                      id: b1e0b335-eddc-4b0f-9092-de489126d884
                      numberRamp: '0005115'
                      operationCategory: ramp
                      originUserId: 20ec3cb9-497c-480f-9478-4d64c7b43064
                      rampType: off_ramp
                      registerDate: '2024-11-22 17:46:00.775032'
                      status: cancelled
                      symbolTypeReceived: COP
                      symbolTypeSent: USDC
                      userId: 20ec3cb9-497c-480f-9478-4d64c7b43064
                      walletId: 0ed2aa92-da56-4774-847f-6352c8e8e177
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Access token from POST /api/token (valid 5 minutes).

````